CREATE TABLE TABLE_PERSONNEL (
   num INTEGER PRIMARY KEY,
   login VARCHAR2(10) UNIQUE,
   nom VARCHAR2(50) NOT NULL,
   prenom VARCHAR2(50) NOT NULL,
   salaire DECIMAL NOT NULL
);

CREATE TABLE TABLE_CLIENTS (
   num INTEGER PRIMARY KEY,
   nom VARCHAR2(50) NOT NULL,
   prenom VARCHAR2(50) NOT NULL,
   telephone VARCHAR2(20) NOT NULL
);

CREATE OR REPLACE VIEW PERSONNEL_RH AS
SELECT
   num,
   login,
   nom,
   prenom,
   salaire
FROM
   TABLE_PERSONNEL
WITH CHECK OPTION;

CREATE OR REPLACE VIEW PERSONNEL_EMPLOYE AS
SELECT
   num,
   login,
   nom,
   prenom
FROM
   TABLE_PERSONNEL
WITH CHECK OPTION;

CREATE OR REPLACE VIEW MES_INFOS AS
SELECT
   num,
   login,
   nom,
   prenom,
   salaire
FROM
   TABLE_PERSONNEL
WHERE
   UPPER(login)=(SELECT sys_context('USERENV','SESSION_USER') FROM DUAL)
WITH CHECK OPTION;

CREATE OR REPLACE VIEW CLIENTS_EMPLOYE AS
SELECT
   num,
   nom,
   prenom
FROM
   TABLE_CLIENTS
WITH CHECK OPTION;

CREATE OR REPLACE VIEW CLIENTS_SECRETARIAT AS
SELECT
   num,
   nom,
   prenom,
   telephone
FROM
   TABLE_CLIENTS
WITH CHECK OPTION;
